List payment methods
Customers
List payment methods
List payment methods for a customer
GET
List payment methods
Authorizations
Includes an API key in the HTTP headers to authenticate the client.
Includes an API secret in the HTTP headers to authenticate the client.
Path Parameters
A valid Customer ID
Pattern:
^cus_[a-zA-Z0-9]{27}$Example:
"cus_2ofTA13AD0xBtbEvBl20aEb1hEu"
Response
List of payment methods
- Bank Payment Method Response
- Option 2
Example:
{
"id": "bank_1234",
"type": "bank",
"rail": ["fedwire"],
"bankName": "Bank of America",
"accountOwnerName": "John Doe",
"accountNumber": "1234567890",
"currency": "USD",
"routingNumber": "1234567890",
"status": "enabled",
"address": {
"streetLine1": "123 Main St",
"city": "New York",
"state": "NY",
"postalCode": "10001",
"country": "USA"
},
"entity": {
"id": "cp_1234567890123456789012345",
"name": "Mark Davis",
"entityType": "individual",
"complianceEntityType": "counterparty"
}
}
